<?php
ini_set("displey_errors",1);
require_once 'lib/nusoap.php';
class CFDICompleto {
	var $serie = "A";
	var $DatosCFD =[
			'FormadePago' 		=> "Pago en una sola exhibicion",
			'TipodeComprobante' => "F",
			'MensajePDF'		=> 'Factura generada por compra en Almacen Sustentable',
			'LugarDeExpedicion'	=> 'Mexico DF'
		];
	var $parametros = [
		'XMLAddenda' => "",
		'Usuario' 	 => "demo1@sicofi.com.mx",
		'Contrasena' => "demodemoD",
		];
	var $folio;
	var $discount = 0;

	function setParameters($id){
		echo "<pre>";
		$opportunity = new Opportunity();
		$opportunity->retrieve($id);

		$quote = new alm_quotes();
		$quote->retrieve_by_string_fields(array('opportunity_id_c' => $id ));

		$account = new Account();
		$account->retrieve($opportunity->account_id);
		$this->setDatosReceptor($account);
		$currency = ($this->currency_c == 'mxp')?$quote->currency_c:1;
		$this->setConceptos($id,$currency);
		$this->setDatosCFD($opportunity,$quote,$currency);
		$this->setImpuestos($quote,$currency);

	}

	function setImpuestos($quote,$currency){
		$tasa = ($quote->taxes_c / $quote->subtotal_c) * 100;
		$impuestosDatos = array( 
			array('TipoImpuesto' => "IVA", 'Tasa' => $tasa, 'Importe' => $quote->taxes_c * $currency)
		);
		foreach ($impuestosDatos as $impuesto) {
			$this->parametros['Impuestos'][] = new soapval('Impuesto', 'Impuesto', $impuesto);
		}
	}

	function setConceptos($id,$currency){
		$db = DBManagerFactory::getInstance();
		$query = "select p.id, p.name,p.location, stock_c as qty_in_stock, price, quantity, discount, total 
		from quote_products as qp 
		inner join alm_inventory i on qp.product_id = i.id 
		inner join alm_products as p on p.id = i.alm_products_id_c 
		inner join alm_inventory_cstm as ic on ic.id_c = i.id 
		inner join alm_quotes_cstm as qc on qc.id_c = quote_id
		    WHERE qc.opportunity_id_c = '$id'";
		$result = $db->query($query);
		$conceptos = array();
		$paramtros = array();
		while($row = $db->fetchByAssoc($result)){
			$this->discount = $this->discount + $row['discount'];
		    $conceptosDatos[] = 
				array('Cantidad' => $row['quantity'], 'Unidad' => 'Piezas', 'Descripcion' => $row['name'], 'Precio' => $row['price'] * $currency, 'Importe' => $row['total'] * $currency, 'DatosAdicionales' => 'Descuento@1000');
		}
		foreach ($conceptosDatos as $concepto) {
			$parametros[] = new soapval('Concepto', 'Concepto', $concepto);
		}
		$this->parametros['Conceptos'] = $parametros;
	}

	function setDatosReceptor($account){
		$parametros= array();
		$parametros['RFC'] = $account->rfc_c;
		$parametros['RazonSocial'] = $account->name;
		$parametros['Calle'] = utf8_decode($account->billing_address_street);

		$parametros['Colonia'] = utf8_decode($account->billing_address_colonia_c);
		if($account->billing_address_state == 'Distrito Federal' || $account->billing_address_state == 'DF'){
			$parametros['Municipio'] = utf8_decode($account->billing_address_city);
		}else{
			$parametros['Ciudad'] = utf8_decode($account->billing_address_city);
		}

		$parametros['Estado'] = utf8_decode($account->billing_address_state);
		$parametros['CP'] = $account->billing_address_postalcode;
		$parametros['Pais'] = utf8_decode($account->billing_address_country);
		$parametros['Telefono1'] = $account->phone_office;
		$parametros['Email1'] = "";

		$this->parametros['Receptor'] = $parametros;
	}

	function setDatosCFD($opportunity,$quote,$currency){

		$this->DatosCFD['Subtotal'] = round($quote->subtotal_c * $currency,2);
		$this->DatosCFD['Total'] = $opportunity->amount * $currency;
		$this->DatosCFD['Serie'] = $this->serie;
		$this->DatosCFD['Moneda'] = strtoupper($opportunity->currency_c);
		$this->DatosCFD['Descuento'] = ($quote->general_discount_c + $this->discount) * $currency;
		$this->parametros['DatosCFD'] = $this->DatosCFD;
	}
	function GeneraCFDI() {

		try {
			//
			// $parametros = array();
			// $parametros['DatosCFD'] = array();
			// $parametros['DatosCFD']['FormadePago'] = "Pago en una sola exhibicion";
			// $parametros['DatosCFD']['Moneda'] = "MXP";
			// $parametros['DatosCFD']['Subtotal'] = 288035.92;
			// $parametros['DatosCFD']['Total'] = 334121.66;
			// $parametros['DatosCFD']['Serie'] = "A";
			// $parametros['DatosCFD']['TipodeComprobante'] = "F";
			// $parametros['DatosCFD']['MensajePDF'] = "Hola";
			// $parametros['DatosCFD']['LugarDeExpedicion'] = "Mexico DF";

			// $parametros['Receptor'] = array();
			// $parametros['Receptor']['RFC'] = "MOPJ8612237A1";
			// $parametros['Receptor']['RazonSocial'] = "JUANCHO";
			// $parametros['Receptor']['Pais'] = "MEXICO";
			// $parametros['Receptor']['Email1'] = "";

			// $conceptosDatos = array( 
			// 	array('Cantidad' => 36.76, 'Unidad' => 'Piezas', 'Descripcion' => "Plimas", 'Precio' => 7835.58, 'Importe' => 288035.92), 
			// 	array('Cantidad' => 35.76, 'Unidad' => 'Kilos', 'Descripcion' => "Prueba", 'Precio' => 158.58, 'Importe' => 2658.77), 
			// 	array('Cantidad' => 6, 'Unidad' => 'Piezas', 'Descripcion' => "Botellas", 'Precio' => 9.99, 'Importe' => 14.45)
			// );
			// foreach ($conceptosDatos as $concepto) {
			// 	$parametros['Conceptos'][] = new soapval('Concepto', 'Concepto', $concepto);
			// }
			// Impuestos
			// $impuestosDatos = array( 
			// 	array('TipoImpuesto' => "IVA", 'Tasa' => 16, 'Importe' => 46085.74), 
			// 	array('TipoImpuesto' => "ISR", 'Tasa' => 10, 'Importe' => 1122.41)
			// );
			// foreach ($impuestosDatos as $impuesto) {
			// 	$parametros['Impuestos'][] = new soapval('Impuesto', 'Impuesto', $impuesto);
			// }

			// $parametros['XMLAddenda'] = "";
			// $parametros['Usuario'] = "demo1@sicofi.com.mx";
			// $parametros['Contrasena'] = "demodemoD";
			$serverURL = 'http://demo.sicofi.com.mx/SicofiWSv2';
			$serverScript = 'CFD.asmx';
			$metodoALlamar = 'GeneraCFD';
			$cliente = new nusoap_client("$serverURL/$serverScript?WSDL", 'wsdl');

			$error = $cliente -> getError();
			if ($error) {
				echo '<pre style="color: red">' . $error . '</pre>';
				echo '<p style="color:red;' > htmlspecialchars($cliente -> getDebug(), ENT_QUOTES) . '</p>';
				die();
			}
			// Llamar a la funcion GeneraCFD del servidor
			$result = $cliente -> call($metodoALlamar, $this->parametros, "uri:$serverURL/$serverScript", "uri:$serverURL/$serverScript/$metodoALlamar");
			// Analizando rsultados
			if ($cliente -> fault) {
				echo '<b>Error: ';
				print_r($result);
				echo '</b>';
			} else {
				$error = $cliente -> getError();

				if ($error) {
					echo '<b style="color: red">Error encontrado: ' . $error . '</b>';
				} else {
					// Creando el archivo XML
					$string = utf8_encode($result['GeneraCFDResult']);
					$xml = simplexml_load_string($string);
					$this->folio =$xml['folio'];
					file_put_contents("facturas/xml/".$this->folio.".xml", $result['GeneraCFDResult']);
				}
			}
		} catch(Exception $e) {
			echo $e;
		}
		return $result;

	}

	function GeneraPDF() {
		try {
			$parametros = array();
			$parametros['Usuario'] = "demo1@sicofi.com.mx";
			$parametros['Contrasena'] = "demodemoD";
			$serverURL = 'http://demo.sicofi.com.mx/SicofiWSv2';
			$serverScript = 'CFD.asmx';
			$metodoALlamar = 'GeneraPDF';
			$cliente = new nusoap_client("$serverURL/$serverScript?WSDL", 'wsdl');
			$parametros['Serie'] = $this->serie;
			$parametros['Folio'] = $this->folio;

			// Obtenemos el numero de folio del XML recibido

			// Llamar a la funcion GeneraCFD del servidor
			$result = $cliente -> call($metodoALlamar, $parametros, "uri:$serverURL/$serverScript", "uri:$serverURL/$serverScript/$metodoALlamar");
			// Analizando resultados
			if ($cliente -> fault) {
				echo '<b>Error: ';
				print_r($result);
				echo '</b>';
			} else {
				$error = $cliente -> getError();

				if ($error) {
					echo '<b style="color: red">Error encontrado: ' . $error . '</b>';
				} else {
					// Creando el archivo PDF
					$data = base64_decode($result['GeneraPDFResult']);
					file_put_contents("facturas/pdf/".$this->folio.".pdf", $data);
					//echo $result;
				}
			}
		} catch(Exception $e) {
			echo $e;
		}

		return $result;
	}

	function CambiaStatus() {
		try {

			$parametrosCambiaStatus = array();
			$parametrosCambiaStatus['Usuario'] = "demo1@sicofi.com.mx";
			$parametrosCambiaStatus['Contrasena'] = "demodemoD";
			$parametrosCambiaStatus['Serie'] = "A";
			$parametrosCambiaStatus['Folio'] = 5;
			$parametrosCambiaStatus['statusfact'] = 1;
			$serverURL = 'http://demo.sicofi.com.mx/SicofiWSv2';
			$serverScript = 'CFD.asmx';
			$metodoALlamar = 'CambiaStatusFact';
			$cliente = new nusoap_client("$serverURL/$serverScript?WSDL", 'wsdl');

			$result = $cliente -> call($metodoALlamar, $parametrosCambiaStatus, "uri:$serverURL/$serverScript", "uri:$serverURL/$serverScript/$metodoALlamar");
			if ($cliente -> fault) {
				echo '<b>Error: ';
				print_r($result);
				echo '</b>';
			} else {
				$error = $cliente -> getError();

				if ($error) {
					echo '<b style="color: red">Error encontrado: ' . $error . '</b>';
				} else {
					// Creando el archivo XML
					file_put_contents("archivo.xml", $result['GeneraCFDResult']);
				}
			}
			echo $result;
		} catch(Exception $e) {
			echo $e;
		}
		return $result;
	}

	function AcuseCancelacion() {
		try{
		$parametros = array();
		$parametros['Usuario']= "demo1@sicofi.com.mx";
		$parametros['Contrasena'] = "demodemoD";
		$parametros['uuid'] = "DD70EE7E-1315-42E7-AAB0-9AFD53C3165E";
		$serverURL = 'http://demo.sicofi.com.mx/SicofiWSv2';
		$serverScript = 'CFD.asmx';
		$metodoALlamar = 'AcuseCancelacion';
		$cliente = new nusoap_client("$serverURL/$serverScript?WSDL", 'wsdl');

		$result = $cliente -> call($metodoALlamar, $parametros, "uri:$serverURL/$serverScript", "uri:$serverURL/$serverScript/$metodoALlamar");
		if ($cliente -> fault) {
			echo '<b>Error: ';
			print_r($result);
			echo '</b>';
		} else {
			$error = $cliente -> getError();

			if ($error) {
				echo '<b style="color: red">Error encontrado: ' . $error . '</b>';
			} else {
				// Creando el archivo XML
				file_put_contents("archivo.xml", $result['AcuseCancelacionResult']);
			}
		}
			echo $result;
		} catch(Exception $e) {
			echo $e;
		}
		return $result;
	}
	function CancelaCFDI() {
		try{
			$parametros = array();
			$parametros['Usuario']= "demo1@sicofi.com.mx";
			$parametros['Contrasena'] = "demodemoD";
			$parametros['uuid'] = "DD70EE7E-1315-42E7-AAB0-9AFD53C3165E";
			$serverURL = 'http://demo.sicofi.com.mx/SicofiWSv2';
			$serverScript = 'CFD.asmx';
			$metodoALlamar = 'CancelaCFDI';
			$cliente = new nusoap_client("$serverURL/$serverScript?WSDL", 'wsdl');

			$result = $cliente -> call($metodoALlamar, $parametros, "uri:$serverURL/$serverScript", "uri:$serverURL/$serverScript/$metodoALlamar");
			if ($cliente -> fault) {
				echo '<b>Error: ';
				print_r($result);
				echo '</b>';
			} else {
				$error = $cliente -> getError();

				if ($error) {
					echo '<b style="color: red">Error encontrado: ' . $error . '</b>';
				} else {
					// Creando el archivo XML
					file_put_contents("archivo.xml", $result['CancelaCFDIResult']);
				}
			}
				echo $result;

		}catch(Exception $e){
			echo $e;
		}
		return $result;
	}

}

?>