/**
 * Created by juan on 11/03/15.
 */
/// <reference path="jquery.d.ts" />
var Quote = (function () {
    function Quote() {
        $('body').on('change', '.fixed,.percentage', function () { Quote.calculateDiscount(this); });
        $('body').on('change', '.quantity', function () { Quote.calculate(this); });
        $("body").on('focus', '#general_discount_c', function () {
            Quote.displayDialog();
        });
    }
    Quote.popUp = function () {
        window.open('index.php?module=alm_products&action=productList&to_pdf=1', 'PopUp_Ofertas', "left=0, top=0, width=600, height=450, toolbar=no, status=no, directories=no, menubar=no, resizable=no");
    };
    Quote.displayDialog = function () {
        var id = $(this).parent().parent().find('.productId').val();
        var modal = $("#modal_" + id);
        modal.dialog({ modal: true });
    };
    Quote.export = function () {
        var id = $("input[name=record]").val();
        window.open('index.php?module=alm_quotes&action=export&to_pdf=1&id=' + id, 'PopUp_Ofertas', "left=0, top=0, width=600, height=450, toolbar=no, status=no, directories=no, menubar=no, resizable=no");
    };
    Quote.checkAvailability = function () {
        var products = $("#list tbody tr");
        var productObject = [];
        var productId;
        $.each(products, function (index, obj) {
            productId = $(obj).find(".productId").val();
            if (productId !== undefined) {
                productObject.push({
                    'productId': productId,
                    'quantity': $(obj).find(".quantity").val()
                });
            }
        });
        var data = {
            'products': productObject,
            'quoteId': $("input[name=record]").val()
        };
        $.post("index.php?module=alm_inventory&action=checkAvailability&to_pdf=1", data, function (response) {
            console.log(response);
            var hasError = false;
            $.each(response, function (index, obj) {
                hasError = true;
                $("#list :[value=" + obj.id + "]").parent().parent().find(".name").css("color", "red");
                $("#list :[value=" + obj.id + "]").parent().parent().find(".stock").text(obj.stock).css("color", "red");
            });
            if (hasError) {
                alert("Existen cambios en el stock, favor de revisarlos.");
                return false;
            }
            else {
                // Do something here
                if (check_form('EditView')) {
                    $("#EditView").submit();
                }
            }
        }, "json");
        return false;
    };
    Quote.calculateTaxes = function () {
        var tax = +$("#tax").val();
        if (isNaN(tax)) {
            alert("Formato de número no válido");
            return;
        }
        var totalPreTax = Quote.totalPreTax();
        if (totalPreTax < 1) {
            alert("Favor de capturar productos");
        }
        var totalWithTax = 0;
        var taxAmount = +((totalPreTax / 100) * tax).toFixed(2);
        $("#taxes_c").val(taxAmount.toFixed(2));
        var amountDollar = +((taxAmount + totalPreTax).toFixed(2));
        $("#dollar_amount_c").val(amountDollar);
        var currency = +$("#currency_c").val();
        var amountPesos = currency * amountDollar;
        $("#amount").val(amountPesos.toFixed(2));
        var modal = $("#modal_taxes");
        modal.dialog('close');
    };
    Quote.totalPreTax = function () {
        var subtotal = +$("#subtotal_c").val();
        var discount = +$("#general_discount_c").val();
        return subtotal - discount;
    };
    Quote.modals = function () {
        var lines = $("#list tbody tr");
        var productId;
        lines.each(function (index, obj) {
            productId = $(obj).find('.productId').val();
            $(obj).find('.productId').val();
            $(obj).find('.discount').parent().append('<div class="container"><div id="modal_' + productId + '" title="Descuento por Producto" style="display: none">' +
                '<table><tr><td><label>Fijo</label></td><td><input data-productId="' + productId + '" type="text" class="fixed" placeholder="0.00" /></td></tr>' +
                '<tr><td><label>Porcentaje</label></td><td><input data-productId="' + productId + '" type="text" class="percentage" placeholder="00%" /></td>' +
                '</tr></table></div></div>');
        });
    };
    Quote.subTotal = function () {
        var subtotal = 0;
        $(".total").each(function (index, obj) {
            subtotal = subtotal + (+$(obj).val());
        });
        var subtotalInput = $("#subtotal_c");
        subtotalInput.val(subtotal);
        Quote.calculateGeneralDiscount();
        Quote.calculateTaxes();
    };
    Quote.calculateDiscount = function (input) {
        if (isNaN($(input).val())) {
            alert("Formato de número no válido");
            return;
        }
        var toNull = ($(input).prop("class") == 'fixed') ? ".percentage" : ".fixed";
        var id = $(input).data('productid');
        var qty = $("#list").find('.productId[value=' + id + ']').parent().parent().find('.quantity').val();
        var priceList = $("#list").find('.productId[value=' + id + ']').parent().parent().find('.price').text();
        var subTotal = Quote.calculateSubtotal(qty, priceList);
        var discount = $(input).val();
        var discountType = $(input).prop('class');
        var total = (discountType == 'fixed') ? Quote.calculateFixedDiscount(subTotal, discount) : Quote.calculatePercentageDiscount(subTotal, discount);
        var productTotal = total.toFixed(2);
        var d = parseFloat(Quote.totalDiscount).toFixed(2);
        $(input).parent().parent().parent().find(toNull).val(null);
        if (isNaN(subTotal) || subTotal == 0) {
            alert("Favor de seleccionar cantidad primero");
            return;
        }
        if (productTotal < 1) {
            alert("Total no valido");
            return;
        }
        $("#list").find('.productId[value=' + id + ']').parent().parent().find('.total').val(productTotal);
        $("#list").find('.productId[value=' + id + ']').parent().parent().find('.discount').val(d);
        Quote.subTotal();
    };
    Quote.validateNumber = function (input) {
        if (isNaN($(input).val())) {
            alert("Formato de número no válido");
            return;
        }
        var toNull = ($(input).prop("class") == 'generalFixed') ? ".generalPercentage" : ".generalFixed";
        $(input).parent().parent().parent().find(toNull).val(null);
    };
    Quote.remove = function () {
        $(this).parent().parent().remove();
        Quote.subTotal();
    };
    Quote.calculatePercentageDiscount = function (subTotal, discount) {
        var percentage = discount / 100;
        Quote.totalDiscount = (subTotal * percentage).toFixed(2);
        return subTotal - Quote.totalDiscount;
    };
    Quote.calculateGeneralDiscount = function () {
        var fixed = $(".generalFixed").val();
        var percentage = $(".generalPercentage").val();
        var subTotal = $("#subtotal_c").val();
        if (subTotal == null || subTotal == 0) {
            alert("Favor de capturar productos");
            return;
        }
        var amount = (fixed != null && fixed > 0) ? Quote.calculateFixedDiscount(subTotal, fixed) : Quote.calculatePercentageDiscount(subTotal, percentage);
        var discount = Quote.totalDiscount;
        $("#general_discount_c").val(discount);
        $("#dollar_amount_c").val(amount.toFixed(2));
        var modal = $("#modal_undefined");
        modal.dialog("close");
        Quote.calculateTaxes();
    };
    Quote.calculateFixedDiscount = function (subTotal, discount) {
        Quote.totalDiscount = (+discount).toFixed(2);
        return subTotal - discount;
    };
    Quote.calculate = function (input) {
        var qty = parseInt($(input).val(), 10);
        if (isNaN(qty)) {
            alert("Formato de número no válido");
            return;
        }
        var stock = parseInt($(input).parent().parent().find(".stock").text());
        if (stock < qty) {
            alert("No se cuenta con stock suficiente");
            $(input).val(null);
            $(input).focus();
            return;
        }
        var priceList = +$(input).parent().parent().find('.price').text();
        var subTotal = Quote.calculateSubtotal(qty, priceList);
        var discount = +$(input).parent().parent().find('.discount').val();
        var total = subTotal - discount;
        $(input).parent().parent().find('.discount').val(null);
        $(input).parent().parent().find('.total').val(total);
        Quote.subTotal();
    };
    Quote.calculateSubtotal = function (qty, price) {
        return +qty * +price;
    };
    Quote.html = '<table>' +
        '<tr><td><label>Fijo</label></td><td><input type="text" class="fixed" placeholder="0.00" /></td></tr>' +
        '<tr><td><label>Porcentaje</label></td><td><input type="text" class="percentage" placeholder="00%" /></td></tr>' +
        '</table>';
    return Quote;
})();
